"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteCustomActionType_1 = require("../model/operations/DeleteCustomActionType");
var DeleteCustomActionTypeCommand = /** @class */ (function () {
    function DeleteCustomActionTypeCommand(input) {
        this.input = input;
        this.model = DeleteCustomActionType_1.DeleteCustomActionType;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteCustomActionTypeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteCustomActionTypeCommand;
}());
exports.DeleteCustomActionTypeCommand = DeleteCustomActionTypeCommand;
//# sourceMappingURL=DeleteCustomActionTypeCommand.js.map