"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutJobFailureResult_1 = require("../model/operations/PutJobFailureResult");
var PutJobFailureResultCommand = /** @class */ (function () {
    function PutJobFailureResultCommand(input) {
        this.input = input;
        this.model = PutJobFailureResult_1.PutJobFailureResult;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutJobFailureResultCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutJobFailureResultCommand;
}());
exports.PutJobFailureResultCommand = PutJobFailureResultCommand;
//# sourceMappingURL=PutJobFailureResultCommand.js.map