import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutJobSuccessResultInput } from "../types/PutJobSuccessResultInput";
import { PutJobSuccessResultOutput } from "../types/PutJobSuccessResultOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/PutJobSuccessResultInput";
export * from "../types/PutJobSuccessResultOutput";
export * from "../types/PutJobSuccessResultExceptionsUnion";
export declare class PutJobSuccessResultCommand implements __aws_sdk_types.Command<InputTypesUnion, PutJobSuccessResultInput, OutputTypesUnion, PutJobSuccessResultOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: PutJobSuccessResultInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutJobSuccessResultInput, PutJobSuccessResultOutput, Blob>;
    constructor(input: PutJobSuccessResultInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<PutJobSuccessResultInput, PutJobSuccessResultOutput>;
}
