import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RegisterWebhookWithThirdPartyInput } from "../types/RegisterWebhookWithThirdPartyInput";
import { RegisterWebhookWithThirdPartyOutput } from "../types/RegisterWebhookWithThirdPartyOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/RegisterWebhookWithThirdPartyInput";
export * from "../types/RegisterWebhookWithThirdPartyOutput";
export * from "../types/RegisterWebhookWithThirdPartyExceptionsUnion";
export declare class RegisterWebhookWithThirdPartyCommand implements __aws_sdk_types.Command<InputTypesUnion, RegisterWebhookWithThirdPartyInput, OutputTypesUnion, RegisterWebhookWithThirdPartyOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: RegisterWebhookWithThirdPartyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RegisterWebhookWithThirdPartyInput, RegisterWebhookWithThirdPartyOutput, Blob>;
    constructor(input: RegisterWebhookWithThirdPartyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<RegisterWebhookWithThirdPartyInput, RegisterWebhookWithThirdPartyOutput>;
}
