"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RegisterWebhookWithThirdParty_1 = require("../model/operations/RegisterWebhookWithThirdParty");
var RegisterWebhookWithThirdPartyCommand = /** @class */ (function () {
    function RegisterWebhookWithThirdPartyCommand(input) {
        this.input = input;
        this.model = RegisterWebhookWithThirdParty_1.RegisterWebhookWithThirdParty;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RegisterWebhookWithThirdPartyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RegisterWebhookWithThirdPartyCommand;
}());
exports.RegisterWebhookWithThirdPartyCommand = RegisterWebhookWithThirdPartyCommand;
//# sourceMappingURL=RegisterWebhookWithThirdPartyCommand.js.map