"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AcknowledgeJobInput_1 = require("../shapes/AcknowledgeJobInput");
var AcknowledgeJobOutput_1 = require("../shapes/AcknowledgeJobOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidNonceException_1 = require("../shapes/InvalidNonceException");
var JobNotFoundException_1 = require("../shapes/JobNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AcknowledgeJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AcknowledgeJob",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AcknowledgeJobInput_1.AcknowledgeJobInput
    },
    output: {
        shape: AcknowledgeJobOutput_1.AcknowledgeJobOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidNonceException_1.InvalidNonceException
        },
        {
            shape: JobNotFoundException_1.JobNotFoundException
        }
    ]
};
//# sourceMappingURL=AcknowledgeJob.js.map