"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteCustomActionTypeInput_1 = require("../shapes/DeleteCustomActionTypeInput");
var DeleteCustomActionTypeOutput_1 = require("../shapes/DeleteCustomActionTypeOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteCustomActionType = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteCustomActionType",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteCustomActionTypeInput_1.DeleteCustomActionTypeInput
    },
    output: {
        shape: DeleteCustomActionTypeOutput_1.DeleteCustomActionTypeOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        }
    ]
};
//# sourceMappingURL=DeleteCustomActionType.js.map