"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetJobDetailsInput_1 = require("../shapes/GetJobDetailsInput");
var GetJobDetailsOutput_1 = require("../shapes/GetJobDetailsOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var JobNotFoundException_1 = require("../shapes/JobNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetJobDetails = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetJobDetails",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetJobDetailsInput_1.GetJobDetailsInput
    },
    output: {
        shape: GetJobDetailsOutput_1.GetJobDetailsOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: JobNotFoundException_1.JobNotFoundException
        }
    ]
};
//# sourceMappingURL=GetJobDetails.js.map