import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DisableStageTransitionInput } from "../types/DisableStageTransitionInput";
import { DisableStageTransitionOutput } from "../types/DisableStageTransitionOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/DisableStageTransitionInput";
export * from "../types/DisableStageTransitionOutput";
export * from "../types/DisableStageTransitionExceptionsUnion";
export declare class DisableStageTransitionCommand implements __aws_sdk_types.Command<InputTypesUnion, DisableStageTransitionInput, OutputTypesUnion, DisableStageTransitionOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: DisableStageTransitionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DisableStageTransitionInput, DisableStageTransitionOutput, Blob>;
    constructor(input: DisableStageTransitionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<DisableStageTransitionInput, DisableStageTransitionOutput>;
}
