import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetThirdPartyJobDetailsInput } from "../types/GetThirdPartyJobDetailsInput";
import { GetThirdPartyJobDetailsOutput } from "../types/GetThirdPartyJobDetailsOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/GetThirdPartyJobDetailsInput";
export * from "../types/GetThirdPartyJobDetailsOutput";
export * from "../types/GetThirdPartyJobDetailsExceptionsUnion";
export declare class GetThirdPartyJobDetailsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetThirdPartyJobDetailsInput, OutputTypesUnion, GetThirdPartyJobDetailsOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: GetThirdPartyJobDetailsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetThirdPartyJobDetailsInput, GetThirdPartyJobDetailsOutput, Blob>;
    constructor(input: GetThirdPartyJobDetailsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<GetThirdPartyJobDetailsInput, GetThirdPartyJobDetailsOutput>;
}
