"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutThirdPartyJobSuccessResult_1 = require("../model/operations/PutThirdPartyJobSuccessResult");
var PutThirdPartyJobSuccessResultCommand = /** @class */ (function () {
    function PutThirdPartyJobSuccessResultCommand(input) {
        this.input = input;
        this.model = PutThirdPartyJobSuccessResult_1.PutThirdPartyJobSuccessResult;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutThirdPartyJobSuccessResultCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutThirdPartyJobSuccessResultCommand;
}());
exports.PutThirdPartyJobSuccessResultCommand = PutThirdPartyJobSuccessResultCommand;
//# sourceMappingURL=PutThirdPartyJobSuccessResultCommand.js.map