"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ActionRevision_1 = require("./_ActionRevision");
exports.PutActionRevisionInput = {
    type: "structure",
    required: ["pipelineName", "stageName", "actionName", "actionRevision"],
    members: {
        pipelineName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        stageName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        actionName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        actionRevision: {
            shape: _ActionRevision_1._ActionRevision
        }
    }
};
//# sourceMappingURL=PutActionRevisionInput.js.map