"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ApprovalResult_1 = require("./_ApprovalResult");
exports.PutApprovalResultInput = {
    type: "structure",
    required: ["pipelineName", "stageName", "actionName", "result", "token"],
    members: {
        pipelineName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        stageName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        actionName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        result: {
            shape: _ApprovalResult_1._ApprovalResult
        },
        token: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=PutApprovalResultInput.js.map