"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _CurrentRevision_1 = require("./_CurrentRevision");
var _ExecutionDetails_1 = require("./_ExecutionDetails");
exports.PutJobSuccessResultInput = {
    type: "structure",
    required: ["jobId"],
    members: {
        jobId: {
            shape: {
                type: "string"
            }
        },
        currentRevision: {
            shape: _CurrentRevision_1._CurrentRevision
        },
        continuationToken: {
            shape: {
                type: "string",
                min: 1
            }
        },
        executionDetails: {
            shape: _ExecutionDetails_1._ExecutionDetails
        }
    }
};
//# sourceMappingURL=PutJobSuccessResultInput.js.map