"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._ActionTypeId = {
    type: "structure",
    required: ["category", "owner", "provider", "version"],
    members: {
        category: {
            shape: {
                type: "string"
            }
        },
        owner: {
            shape: {
                type: "string"
            }
        },
        provider: {
            shape: {
                type: "string",
                min: 1
            }
        },
        version: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_ActionTypeId.js.map