"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _StageContext_1 = require("./_StageContext");
var _ActionContext_1 = require("./_ActionContext");
exports._PipelineContext = {
    type: "structure",
    required: [],
    members: {
        pipelineName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        stage: {
            shape: _StageContext_1._StageContext
        },
        action: {
            shape: _ActionContext_1._ActionContext
        },
        pipelineArn: {
            shape: {
                type: "string"
            }
        },
        pipelineExecutionId: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_PipelineContext.js.map