"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _TransitionState_1 = require("./_TransitionState");
var _ActionStateList_1 = require("./_ActionStateList");
var _StageExecution_1 = require("./_StageExecution");
exports._StageState = {
    type: "structure",
    required: [],
    members: {
        stageName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        inboundTransitionState: {
            shape: _TransitionState_1._TransitionState
        },
        actionStates: {
            shape: _ActionStateList_1._ActionStateList
        },
        latestExecution: {
            shape: _StageExecution_1._StageExecution
        }
    }
};
//# sourceMappingURL=_StageState.js.map